GET
/
v1
/
projects
/
{project_id}
/
knowledge
List project knowledge
curl --request GET \
  --url https://platform.jobbit.uk/v1/projects/{project_id}/knowledge \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://platform.jobbit.uk/v1/projects/{project_id}/knowledge"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://platform.jobbit.uk/v1/projects/{project_id}/knowledge', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
<?php

$curl = curl_init();

curl_setopt_array($curl, [
CURLOPT_URL => "https://platform.jobbit.uk/v1/projects/{project_id}/knowledge",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
package main

import (
"fmt"
"net/http"
"io"
)

func main() {

url := "https://platform.jobbit.uk/v1/projects/{project_id}/knowledge"

req, _ := http.NewRequest("GET", url, nil)

req.Header.Add("Authorization", "Bearer <token>")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))

}
HttpResponse<String> response = Unirest.get("https://platform.jobbit.uk/v1/projects/{project_id}/knowledge")
.header("Authorization", "Bearer <token>")
.asString();
require 'uri'
require 'net/http'

url = URI("https://platform.jobbit.uk/v1/projects/{project_id}/knowledge")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
{
  "items": [
    {
      "kind": "file",
      "file": {
        "id": "f19d4c70-2b8e-4a35-9d6c-07e3a5b81c42",
        "project_id": "e57b2a93-0d6c-4f18-9a41-83c1d7e0b2f4",
        "task_id": null,
        "name": "clinic-price-list.pdf",
        "description": "Current treatment prices",
        "file_url": "https://jobbit-s3.ams3.digitaloceanspaces.com/p/e57b2a93/clinic-price-list.pdf",
        "file_type": "document",
        "content_type": "application/pdf",
        "thumbnail_url": null,
        "size_bytes": 204800,
        "content_state": "indexed",
        "created_by": "7b0e2c4a-1d3f-4c8e-9a52-6f1d0e8b3a77",
        "author": null,
        "updated_by": null,
        "editor": null,
        "created_at": "2026-10-13T10:00:00",
        "updated_at": null
      },
      "note": null
    }
  ],
  "total": 1,
  "page": 1,
  "page_size": 30,
  "file_count": 1,
  "note_count": 1
}
{
"error": {
"code": "invalid_key",
"message": "the API key is missing or invalid",
"request_id": "5d3f0b7c8a2e4e19b6c47a90d1e2f3a4"
}
}
{
"error": {
"code": "insufficient_scope",
"message": "this key does not have the deploy:write permission",
"details": {
"required": "deploy:write"
},
"request_id": "5d3f0b7c8a2e4e19b6c47a90d1e2f3a4"
}
}
{
"error": {
"code": "not_found",
"message": "no such project or item",
"request_id": "5d3f0b7c8a2e4e19b6c47a90d1e2f3a4"
}
}
{
"error": {
"code": "invalid_request",
"message": "the request is not valid",
"details": [
{
"location": [
"body",
"name"
],
"message": "String should match pattern '^[a-z0-9][a-z0-9-]*$'",
"type": "string_pattern_mismatch"
}
],
"request_id": "5d3f0b7c8a2e4e19b6c47a90d1e2f3a4"
}
}
{
"error": {
"code": "rate_limited",
"message": "too many read requests, retry in 4 s",
"details": {
"group": "read",
"limit": 120,
"window_seconds": 60
},
"request_id": "5d3f0b7c8a2e4e19b6c47a90d1e2f3a4"
}
}

Authorizations

Authorization
string
header
required

An API key from Settings → API keys, sent as Authorization: Bearer jb_live_…

Path Parameters

project_id
string
required

The project id.

Query Parameters

kind
enum<string>
default:all

Only files or only notes.

Available options:
all,
files,
notes

Text to look for in names, descriptions and contents.

sort
enum<string>
default:added

What to sort by.

Available options:
added,
name
reverse
boolean
default:false

Reverse the order.

page
integer
default:1

The page number.

Required range: x >= 1
page_size
integer
default:30

Items per page.

Required range: 1 <= x <= 100

Response

A page of knowledge.

items
object[]
required

Files and notes.

total
integer
required

How many match.

page
integer
required

The page.

page_size
integer
required

Per page.

file_count
integer

Files in the project, whatever the filter.

note_count
integer

Notes in the project, whatever the filter.